Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCInvokeMethod

`java.lang.Object
oracle.adf.model.binding.DCInvokeMethod`

All Implemented Interfaces:
  oracle.adf.model.OperationInfo, OperationInfo

public class DCInvokeMethod
extends java.lang.Object
implements oracle.adf.model.OperationInfo

Implements metadata and logic to invoke a custom action binding method.

Internal: Applications should not use this class.

Method Summary
`void` | `addInvokeMethodListener(DCInvokeMethodListener l)` Adds the given listener to this Action Binding's listeners list.
`java.lang.Object` | `callMethod(DCDataControl dc, oracle.adf.model.OperationBinding action, java.util.Map paramsMap)` Internal use only.
`java.lang.Object[]` | `fetchParameterValues(oracle.adf.model.BindingContext ctx, java.util.Map paramsMap)` For internal framework use only.
`DCInvokeMethodDef` | `getDef()`
`java.lang.String` | `getInstanceName()` Internal: Applications should not use this method.
`java.lang.Object` | `getInvokeInstance(DCDataControl dc, oracle.adf.model.BindingContext ctx)` For internal framework use only.
`java.util.ArrayList` | `getInvokeMethodListeners()` Returns a list of JUInvokeMethodListener (returns an empty list if no such listener was registered).
`java.lang.String` | `getMethodName()` Internal: Applications should not use this method.
`java.lang.String` | `getOperationName()` Internal: Applications should not use this method.
`oracle.adf.model.OperationParameter[]` | `getParameters()` Returns an array of OperationParameters that this operation needs.
`java.lang.String` | `getPermissionTargetName()`
`java.lang.String` | `getReturnName()` Returns an expression to the location inside the BindingContext where this method's result should be found.
`boolean` | `hasParameterValuesChanged()`
`void` | `release(int flag)`
`void` | `removeInvokeMethodListener(DCInvokeMethodListener l)` Removes the given listener from this Action Binding's listeners list.
`void` | `setCacheResolvedValues(boolean flag)` Internal: Applications should not use this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParameters

    public oracle.adf.model.OperationParameter[] getParameters()

  Description copied from interface: `oracle.adf.model.OperationInfo`
  Returns an array of OperationParameters that this operation needs. Returns null if no parameters are needed.
  Specified by:
    `getParameters` in interface `oracle.adf.model.OperationInfo`

### hasParameterValuesChanged

    public boolean hasParameterValuesChanged()

### callMethod

    public java.lang.Object callMethod(DCDataControl dc,
                                       oracle.adf.model.OperationBinding action,
                                       java.util.Map paramsMap)

  Internal use only. Application developers should not extend.

### fetchParameterValues

    public java.lang.Object[] fetchParameterValues(oracle.adf.model.BindingContext ctx,
                                                   java.util.Map paramsMap)

  For internal framework use only. Application developers should not use this method.

### getInvokeInstance

    public java.lang.Object getInvokeInstance(DCDataControl dc,
                                              oracle.adf.model.BindingContext ctx)

  For internal framework use only. Application developers should not use this method.

### getInstanceName

    public final java.lang.String getInstanceName()

  Internal: Applications should not use this method.
  Specified by:
    `getInstanceName` in interface `oracle.adf.model.OperationInfo`

### getOperationName

    public final java.lang.String getOperationName()

  Internal: Applications should not use this method.
  Specified by:
    `getOperationName` in interface `oracle.adf.model.OperationInfo`

### getMethodName

    public final java.lang.String getMethodName()

  Internal: Applications should not use this method.

### getReturnName

    public final java.lang.String getReturnName()

  Description copied from interface: `OperationInfo`
  Returns an expression to the location inside the BindingContext where this method's result should be found.
  Specified by:
    `getReturnName` in interface `OperationInfo`

### getDef

    public DCInvokeMethodDef getDef()

### setCacheResolvedValues

    public void setCacheResolvedValues(boolean flag)

  Internal: Applications should not use this method.

  Called by ActionBindingRef & MethodIteratorDef to imply that values once fetched need to be cached so that it can be compared against the new set of values on the next call to ascertain if the call should be ignored (if the parameter=values are same)

### release

    public void release(int flag)

### getInvokeMethodListeners

    public final java.util.ArrayList getInvokeMethodListeners()

  Returns a list of JUInvokeMethodListener (returns an empty list if no such listener was registered).

### addInvokeMethodListener

    public final void addInvokeMethodListener(DCInvokeMethodListener l)

  Adds the given listener to this Action Binding's listeners list.

### removeInvokeMethodListener

    public final void removeInvokeMethodListener(DCInvokeMethodListener l)

  Removes the given listener from this Action Binding's listeners list.

### getPermissionTargetName

    public java.lang.String getPermissionTargetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.